#!/bin/bash

echo "install dependencies"

pwd

function exec_cmd()
{
	echo "executing $@"
	$@ >/dev/null 2>&1

	if [ $? -ne 0 ]; then
		echo "Failed to execute $@"
		exit 1
	fi
}

mkdir -p /opt/dev/
# install packages
exec_cmd apt update

# install the avahi dependencies
exec_cmd apt install -y libavahi-core-dev libavahi-common-dev

# install ieee1905
cd /opt/dev
export CFLAGS="${CFLAGS} -g -Wall -g -O0"
rm -fr ieee1905
exec_cmd git clone -b devel https://dev.iopsys.eu/iopsys/ieee1905.git
cd ieee1905
exec_cmd ./gitlab-ci/install-dependencies.sh
#exec_cmd sed -i \'s/cp \./#cp \./g\' ./gitlab-ci/setup.sh
exec_cmd ./gitlab-ci/setup.sh
exec_cmd make "CONFIG_IEEE1905_ALME_OVER_UBUS=y"
exec_cmd make install
ls
mkdir -p /usr/include/ieee1905
exec_cmd cp -a include/plugin.h /usr/include/ieee1905
exec_cmd cp -a libieee1905/include/1905_cmdus.h /usr/include/ieee1905
exec_cmd cp -a libieee1905/include/1905_tlvs.h /usr/include/ieee1905
exec_cmd cp -a ieee1905d /usr/sbin/

cd /builds/iopsys/map-topology
exec_cmd ./gitlab-ci/setup.sh
