/*
 * host_config.h - host configuration header file
 *
 * Copyright (C) 2021 IOPSYS Software Solutions AB. All rights reserved.
 *
 * Author: nevadita.chatterjee@iopsys.eu
 *
 */

#ifndef HOSTD_CONFIG_H
#define HOSTD_CONFIG_H

struct uci_section *config_get_section(struct uci_context *ctx,
		struct uci_package *pkg, const char *type, const char *key,
		const char *value);
struct uci_section *config_add_section(struct uci_context *ctx,
		struct uci_package *pkg, const char *config, const char *type,
		char *name, const char *key, const char *value);
int config_add_default_host_mac(const char *config, const char *type,
		const char *macaddr);
bool config_set_host_option(char *package_name,
		char *section_type, char *search_key, char *search_val,
		char *option, char *value);
bool config_set_host_list(char *package_name,
		char *section_type, char *search_key, char *search_val,
		char *option, char *value);
bool config_del_host_list(char *package_name,
		char *section_type, char *search_key, char *search_val,
		char *option, char *value);
#endif /* HOSTD_CONFIG_H */
