#include <stdio.h>
#include <string.h>

#include "debug.h"
#include "json_utils.h"

char *_json_obj_get_string(json_object *j, const char *key)
{
	json_object *t;

	if (j == NULL)
		return NULL;

	if (json_object_object_get_ex(j, key, &t)) {
		char *str = strdup(json_object_get_string(t));
		return str;
	}

	dbg("|%s| not found", key);

	return NULL;
}

int _json_obj_get_int(json_object *j, const char *key)
{
	json_object *t;
	int ret = 0;

	if (j == NULL)
		return 0;

	if (json_object_object_get_ex(j, key, &t))
		ret = json_object_get_int(t);

	return ret;
}

void json_safe_put(json_object *j)
{
	if (j != NULL) {
		json_object_put(j);
		j = NULL;
	}
}
